Subject: Re: bug#34529: C-x b became unusable (ido, recentf, tramp)

From: Felicián Németh <[email-masked]>
Date: Wed, 20 Feb 2019 08:34:30 +0100

Hi Michael,

>> However, that doesn't explain how that entry ended up in my
>> recentf-save-file.  I'm guessing I opened many tramp files in a
>> virtual machine, and after I had halted the virtual machine,
>> emacs wanted to convert the file names to absolute paths.
>
> Do you use ad-hoc multi-hop file names?

With this virtual machine, definitely not.  However, the problem occurred
in a long lasting emacs session and I do remember trying to ssh|su
into a remote system.  It wasn't successful because (I think) tramp
failed to find the password prompt because of an unfortunate locale
setting.

However, I found a probable cause of evenets that inserts a wrong entry
into recentf-list:
  bug.el:
     (require 'recentf)
     (setq recentf-save-file "/tmp/bug2-recentf")
     (setq ido-use-virtual-buffers t)
     (setq ido-save-directory-list-file "/tmp/bug-ido.last")
     (ido-mode t)
     (ffap-bindings)
  0. emacs -Q -l bug.el
  1. Open a relative file in a VM (/ssh:localhost#2222:~/a.txt)
  2. Close the file, halt the VM.
  3. (Accidentally) open the same file from the file-name-history.
     (C-x C-f M-p)
  4. Close emacs.
    => /tmp/bug2-recentf has the relative path.

Thanks again,
Felicián